# KNP feasibility

param n integer, >= 1;
param K integer, >= 1;

set N := 1..n;
set Dim := 1..K;

param xbar{N,Dim};
param abar;

var x{N,Dim} >= -1, <= 1;
var alpha >= 0;

maximize slack: alpha;

subject to norm{i in N}: sum{k in Dim} x[i,k]^2 = 1;
subject to dist{i in N, j in N : i < j}:
  sum{k in Dim} (x[i,k] - x[j,k])^2 >= alpha;

