#!/bin/bash

DIR=dat

if [ "$1" == "" -o "$2" == "" ]; then
    echo "$0: syntax is $0 n K [baron]"
    exit 1
fi

KNPn=$1
KNPK=$2

if [ "$3" != "baron" ]; then
    ./knpsdp.py feas $KNPn $KNPK
    DAT=knp-${KNPn}_${KNPK}-xbar.dat
    if [ ! -f $DAT ]; then
	echo "$0: can't read $DAT, probably knpsdp.py error"
	exit 2
    fi
    mv $DAT $DIR/
    ln -sf $DIR/$DAT knpfeas.dat
    cat knpfeas.run | time ampl
else
    DAT=$DIR/knp-${KNPn}_${KNPK}.dat
    echo "param n := $KNPn;" > $DAT
    echo "param K := $KNPK;" >> $DAT
    ln -sf $DAT knpfeas.dat
    cat knpfeasopt.run | time ampl
fi
